//
//  NSObject+dUsefulStuff.m
//  dUsefulStuff
//
//  Created by Derek Clarkson on 7/20/11.
//  Copyright 2011. All rights reserved.
//

#import "NSObject+dUsefulStuff.h"
#import "DCCommon.h"

@implementation NSObject (dUsefulStuff)

-(NSError *) errorForCode:(NSInteger) errorCode
				  errorDomain:(NSString *) errorDomain
			shortDescription:(NSString *) shortDescription
				failureReason:(NSString *) failureReason; {
	NSDictionary * dic = @{
								NSLocalizedDescriptionKey:shortDescription,
			NSLocalizedFailureReasonErrorKey:failureReason
		  };
	return [NSError errorWithDomain:errorDomain code:errorCode userInfo:dic];
}

-(BOOL) setError:(NSError **) error
				code:(NSInteger) errorCode
	  errorDomain:(NSString *) errorDomain
shortDescription:(NSString *) shortDescription
	failureReason:(NSString *) failureReason {
	if (error != NULL) {
		*error = [self errorForCode:errorCode errorDomain:errorDomain shortDescription:shortDescription failureReason:failureReason];
	}
	return YES;
}

@end
