//
//  NSString+dUsefulStuffTests.m
//  dUsefulStuff
//
//  Created by Derek Clarkson on 25/09/11.
//  Copyright (c) 2011. All rights reserved.
//

#import <GHUnitIOS/GHUnit.h>
#import "NSString+dUsefulStuff.h"

@interface NSString_dUsefulStuffTests : GHTestCase

@end

@implementation NSString_dUsefulStuffTests

-(void) testWithYes {
	BOOL boolValue;
	GHAssertTrue([@"yes" readBooleanInto:&boolValue], @"Says it cannot read the text");
	GHAssertTrue(boolValue, @"Incorrect value read");
}

-(void) testWithTrue {
	BOOL boolValue;
	GHAssertTrue([@"true" readBooleanInto:&boolValue], @"Says it cannot read the text");
	GHAssertTrue(boolValue, @"Incorrect value read");
}

-(void) testWithNo {
	BOOL boolValue = YES;
	GHAssertTrue([@"no" readBooleanInto:&boolValue], @"Says it cannot read the text");
	GHAssertFalse(boolValue, @"Incorrect value read");
}

-(void) testWithFalse {
	BOOL boolValue = YES;
	GHAssertTrue([@"false" readBooleanInto:&boolValue], @"Says it cannot read the text");
	GHAssertFalse(boolValue, @"Incorrect value read");
}

-(void) testWithOtherString {
	BOOL boolValue;
	GHAssertFalse([@"abc" readBooleanInto:&boolValue], @"Says it read the text");
}

@end
